Bug 219329 - Blender fails to build on x86_64 with python-2.5
Summary: Blender fails to build on x86_64 with python-2.5
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: blender (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: x86_64 Linux
high
high
Target Milestone: ---
Assignee: Jochen Schmitt
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-12-12 16:52 UTC by Jochen Schmitt
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-08 18:33:35 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Totally untested patch (815 bytes, patch)
2006-12-12 17:54 UTC, Christopher Stone
no flags Details | Diff
Tested and working patch (1.74 KB, patch)
2006-12-14 19:36 UTC, Christopher Stone
no flags Details | Diff

Description Jochen Schmitt 2006-12-12 16:52:06 UTC
Description of problem:

Blnder fails to build on the buildsys for the x86_64 architecture on the
devel-branch where python-2.5 is available.

Version-Release number of selected component (if applicable):

blender-2.42-a
python-2.5

How reproducibBle:

Build on the buildsys via 'make plague'

Comment 1 Christopher Stone 2006-12-12 17:04:49 UTC
Whoa, so wait a second here.  Just hold on.  We are no longer building blender
for x86_64?  People need this application.  Did you even bother to try and fix
the error?  Looking at the build logs it seems all that needs to be done is to
change an int to a long?  Am I not correct???

Comment 2 Jochen Schmitt 2006-12-12 17:27:43 UTC
Sorry, I have take a look on the position where the compiler have complaint the
build. Unfortunately, I can't see naything wrong, what make sense for me.

This problem occured only in the devel branch where python-2.5 was introduced.
On Fc-5 and FC-6 there are no problem for building the x86_64 architecture,
becouse python-2.4 is available on this branches.

I assume, somethin was changed in the python headers which coused this issues.



Comment 3 Christopher Stone 2006-12-12 17:54:48 UTC
Created attachment 143419 [details]
Totally untested patch

Hi, can you test this patch?  This is just a guess as to how to fix it. 
Totally untested.

Comment 4 Jochen Schmitt 2006-12-14 18:08:17 UTC
Sorry, it doesn't works. Please see

http://buildsys.fedoraproject.org/logs/fedora-development-extras/23753-blender-2.42a-14.fc7/x86_64/build.log

Comment 5 Christopher Stone 2006-12-14 19:36:18 UTC
Created attachment 143684 [details]
Tested and working patch

Ugh, okay.  Here is a new patch.  This one I tested and it works.

Comment 6 Christopher Stone 2006-12-29 01:28:35 UTC
So did this patch fix it?

Comment 7 Jochen Schmitt 2007-01-08 18:33:35 UTC
Now I use the official patch for this problem which works. So I will close this bug.


Note You need to log in before you can comment on or make changes to this bug.